#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void jsp_res(jsp* yy, jsp* der_x, jsp* x, jsp* p, int * condit, int * lock, int * prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x p
#pragma ad dep yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   jsp var_tim=0; 
   jsp der_var_tim=0; 
   jsp var_x=0; 
   jsp der_var_x=0; 
   jsp var_y=0; 
   jsp der_var_y=0; 
   jsp var_z=0; 
   jsp der_var_z=0; 
   jsp var_testvar1=0; 
   jsp der_var_testvar1=0; 
   jsp var_testvar2=0; 
   jsp der_var_testvar2=0; 
   jsp par_Para=0; 
   jsp par_Cont=0; 
   jsp var_pow0=0; 
   jsp var_i_expr=0; 
   jsp var_pow1=0; 
   jsp var_i_expr2=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   var_tim=x[0];
   der_var_tim=der_x[0];
   var_x=x[1];
   der_var_x=der_x[1];
   var_y=x[2];
   der_var_y=der_x[2];
   var_z=x[3];
   der_var_z=der_x[3];
   var_testvar1=x[4];
   der_var_testvar1=der_x[4];
   var_testvar2=x[5];
   der_var_testvar2=der_x[5];
   par_Para=p[0];
   par_Cont=p[1];
   yy[i_E]=2*der_var_tim-(1*2);
   i_E=i_E+1;
   var_i_expr=2;
   jsp_acs_pow(par_Para,var_i_expr,var_pow0);
   yy[i_E]=der_var_x-(0-2*var_tim+4+var_pow0);
   i_E=i_E+1;
   var_i_expr2=3;
   jsp_acs_pow(var_testvar1,var_i_expr2,var_pow1);
   yy[i_E]=3*der_var_y-((2*var_y+var_z+var_pow1)*3);
   i_E=i_E+1;
   yy[i_E]=4*der_var_z-(var_z*var_tim*4);
   i_E=i_E+1;
   yy[i_E]=var_testvar1-(var_x+var_y+par_Cont);
   i_E=i_E+1;
   yy[i_E]=var_testvar2-(var_x-var_y);
   i_E=i_E+1;
   n_c=i_C;
}
